cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Observer
Observer
278 Views
Registered: ‎09-03-2020

Zynq UltraScale+ MPSoC: Embedded Design Tutorial UG1209 (v2019.2) link to download Vivado wrong ?

Jump to solution

 

Evaluation Board ZCU102

 

Trying to build the example Linux image.

Page 11 in "Zynq UltraScale+ MPSoC: Embedded Design Tutorial" (UG1209 v2019.2):

 

PetaLinux Tools:

"- Download PetaLinux 2019.2 software from the Xilinx Website."

 

The embedded link goes to PetaLinux 2019.1: https://www.xilinx.com/member/forms/download/xef.html?filename=petalinux-v2019.1-final-installer.run

  • Why does the link go to 2019.1 but the text says 2019.2 ?

 

Trying to use hardware wrapper edt_zcu102_wrapper.xsa (built with Vivado 2019.2 like everything else) to build the PetaLinux image:

 

Projects/xilinx-zcu102-2019.2$ petalinux-config --get-hw-description=edt_zcu102_wrapper.xsa
INFO: Getting hardware description...
ERROR: No HDF or DSA is found in /home/userA/Projects/xilinx-zcu102-2019.2/edt_zcu102_wrapper.xsa.
ERROR: Please use --get-hw-description=<VIVADO_SDK_EXPORT_DIR> to specify the location of Vivado export to SDK directory.

and also tried without specifying the .xsa file, just the path, same error.

  • Is this because the manual had me download Vivado 2019.1 ?

 

(A different users post, mentions this is possible with a version mismatch, not sure if that is the issue here).

 

Thank You.

 

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Moderator
Moderator
184 Views
Registered: ‎11-09-2015

HI @LearningXilinx 

This is probably an error in the doc, the link was kept from the version 2019.1 of the doc. Make sure you install petalinux 2019.2:

https://www.xilinx.com/member/forms/download/xef.html?filename=petalinux-v2019.2-final-installer.run

You need to specify the path of the folder containing the XSA file not the XSA file name or the path of the XSA file (ie. path containing the xsa file name). So make sure you are setting the --get-hw-description= option properly.

Regards 


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**

View solution in original post

4 Replies
Highlighted
Moderator
Moderator
185 Views
Registered: ‎11-09-2015

HI @LearningXilinx 

This is probably an error in the doc, the link was kept from the version 2019.1 of the doc. Make sure you install petalinux 2019.2:

https://www.xilinx.com/member/forms/download/xef.html?filename=petalinux-v2019.2-final-installer.run

You need to specify the path of the folder containing the XSA file not the XSA file name or the path of the XSA file (ie. path containing the xsa file name). So make sure you are setting the --get-hw-description= option properly.

Regards 


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**

View solution in original post

Highlighted
Observer
Observer
169 Views
Registered: ‎09-03-2020

@florentw 

Downloaded 2019.2 and it resolved the issue.

As this is a 7GB download, might want to update the doc to save others the hassle.

0 Kudos
Highlighted
Moderator
Moderator
161 Views
Registered: ‎11-09-2015

Hi @LearningXilinx 

I understand your feedback. However to get a change in the doc, there is a process which takes some resources. 

The doc is already outdated as the latest version is 2020.1 and this version of the doc does not have this issue as the link is removed.

This this is unlikely that the version 2019.2 of the doc will be fixed 


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**
Highlighted
Observer
Observer
156 Views
Registered: ‎09-03-2020

@florentw 

Okay I see, well at least it is documented here...

0 Kudos